<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Components Template</title>
</head>
<body>

<main>
    <selected-winner :list="listPlayers"></selected-winner>

    <hr>
    <h3>Inline Template</h3>
    <selected-winner :list="listPlayers" inline-template>
        <div>
            <h1 v-if="winner">The winner is {{ winner }}</h1>
            <template v-else>
                <h2>List players</h2>
                <ul>
                    <li v-for="player in list">{{ player }}</li>
                </ul>
                <button @click="selectedWinner">Selected winner</button>
            </template>
        </div>
    </selected-winner>
</main>

<template id="selected-winner-template">
    <div>
        <h1 v-if="winner">The winner is {{ winner }}</h1>
        <template v-else>
            <h2>List players</h2>
            <ul>
                <li v-for="player in list">{{ player }}</li>
            </ul>
            <button @click="selectedWinner">Selected winner</button>
        </template>
    </div>
</template>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
<script>
    Vue.component('selected-winner', {
        props: ['list'],
        template: '#selected-winner-template',
        methods: {
            selectedWinner() {
                let cant = this.players.length;
                let i = Math.floor((Math.random() * cant));
                this.winner = this.players[i - 1];
            }
        },
        data() {
            return {
                winner: false,
                players: this.list
            }
        }
    });

    new Vue({
        el: 'main',
        data: {
            listPlayers: ['Jose', 'Florez', 'Rodolfo', 'Ortiz']
        }
    })
</script>
</body>
</html>